質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

89.62%

mysqlインストール

受付中

回答 3

投稿

  • 評価
  • クリップ 0
  • VIEW 2,113

PotetoMan

score 17

mysql5.7をインストールすると下記のようになってしまいます。
これはどうすれば解決できるでしょうか。
教えてください。

$ yum -y install mysql-community-server
読み込んだプラグイン:fastestmirror
インストール処理の設定をしています
Loading mirror speeds from cached hostfile
 * base: centos.t.is
 * epel: fedora.skyggnir.is
 * extras: centos.t.is
 * remi-safe: nl.mirror.babylon.network
 * updates: centos.t.is
依存性の解決をしています
--> トランザクションの確認を実行しています。
---> Package mysql-community-server.x86_64 0:5.7.13-1.el7 will be インストール
--> 依存性の処理をしています: mysql-community-common(x86-64) >= 5.7.9 のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: mysql-community-client(x86-64) >= 5.7.9 のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: systemd のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: systemd のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: libstdc++.so.6(GLIBCXX_3.4.15)(64bit) のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: libc.so.6(GLIBC_2.17)(64bit) のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: libnuma.so.1()(64bit) のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
--> トランザクションの確認を実行しています。
---> Package mysql-community-client.x86_64 0:5.7.13-1.el7 will be インストール
--> 依存性の処理をしています: mysql-community-libs(x86-64) >= 5.7.9 のパッケージ: mysql-community-client-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: libstdc++.so.6(GLIBCXX_3.4.15)(64bit) のパッケージ: mysql-community-client-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: libc.so.6(GLIBC_2.14)(64bit) のパッケージ: mysql-community-client-5.7.13-1.el7.x86_64
---> Package mysql-community-common.x86_64 0:5.7.13-1.el7 will be インストール
---> Package mysql-community-server.x86_64 0:5.7.13-1.el7 will be インストール
--> 依存性の処理をしています: systemd のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: systemd のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: libstdc++.so.6(GLIBCXX_3.4.15)(64bit) のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: libc.so.6(GLIBC_2.17)(64bit) のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
---> Package numactl.x86_64 0:2.0.9-2.el6 will be インストール
--> トランザクションの確認を実行しています。
---> Package mysql-community-client.x86_64 0:5.7.13-1.el7 will be インストール
--> 依存性の処理をしています: libstdc++.so.6(GLIBCXX_3.4.15)(64bit) のパッケージ: mysql-community-client-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: libc.so.6(GLIBC_2.14)(64bit) のパッケージ: mysql-community-client-5.7.13-1.el7.x86_64
---> Package mysql-community-libs.x86_64 0:5.7.13-1.el7 will be インストール
--> 依存性の処理をしています: libc.so.6(GLIBC_2.14)(64bit) のパッケージ: mysql-community-libs-5.7.13-1.el7.x86_64
---> Package mysql-community-server.x86_64 0:5.7.13-1.el7 will be インストール
--> 依存性の処理をしています: systemd のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: systemd のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: libstdc++.so.6(GLIBCXX_3.4.15)(64bit) のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
--> 依存性の処理をしています: libc.so.6(GLIBC_2.17)(64bit) のパッケージ: mysql-community-server-5.7.13-1.el7.x86_64
--> 依存性解決を終了しました。
エラー: パッケージ: mysql-community-server-5.7.13-1.el7.x86_64 (mysql57-community)
             要求: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
エラー: パッケージ: mysql-community-client-5.7.13-1.el7.x86_64 (mysql57-community)
             要求: libstdc++.so.6(GLIBCXX_3.4.15)(64bit)
エラー: パッケージ: mysql-community-client-5.7.13-1.el7.x86_64 (mysql57-community)
             要求: libc.so.6(GLIBC_2.14)(64bit)
エラー: パッケージ: mysql-community-libs-5.7.13-1.el7.x86_64 (mysql57-community)
             要求: libc.so.6(GLIBC_2.14)(64bit)
エラー: パッケージ: mysql-community-server-5.7.13-1.el7.x86_64 (mysql57-community)
             要求: systemd
エラー: パッケージ: mysql-community-server-5.7.13-1.el7.x86_64 (mysql57-community)
             要求: libc.so.6(GLIBC_2.17)(64bit)
 問題を回避するために --skip-broken を用いることができません
 これらを試行できます: rpm -Va --nofiles --nodigest
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 3

+1

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

+1

OS が RHEL/CentOS 7 であれば libc.so.6(GLIBC_2.17)(64bit) は標準で提供されています。
お使いの OS は RHEL/CentOS 6 などではないでしょうか。
お使いの OS に合ったリポジトリ(mysql57-community-release-el6-8.noarch.rpm など)を選択ください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

0

mysql-community-serverをyumでインストールする際に依存するライブラリが足りない状況と見られます。
この辺のライブラリも一緒にyumする必要があります。
yum install libstdc++.so.6

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 89.62%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

同じタグがついた質問を見る